<template>
	<mind-view>
		<template v-slot:toolbar-actions>
			<el-button 
				type="primary" 
				plain 
				icon="el-icon-new" 
				size="small" 
				@click="onNew()"
				>Nuevo
			</el-button>
		</template>
		<mind-table :data="RESOURCE_LIST" 
			row-key="id" 
			:row-class-name="tableRowClassName"
			:actions="{edit:true, delete:true}"
			@edit="onEdit"   @delete="onDelete">
			<el-table-column sortable prop="id" label="Cliente" width="100" />
			<el-table-column sortable prop="nombre" label="Nombre"  />
			<el-table-column sortable :sort-method="ordenarCalle" prop="domicilio" label="Domicilio"  />
			<el-table-column prop="telefono" label="Telefono" width="150" />
			<el-table-column prop="movil" label="Móvil" width="150" />
		</mind-table>
		<template v-slot:child>
			<router-view :key="$route.fullPath"  ></router-view>
		</template>
	</mind-view>
</template>

<script>
import clientes from '@/model/clientes'

export default {
  async created() {
		clientes.fetch({})
		.then((response)=>{
			this.RESOURCE_LIST = response.value
		})

	},
	methods: {
		onNew() {
			this.$router.push(`${this.$route.path}/new`)
		},
		onEdit(row) {
			this.$router.push(`${this.$route.path}/${row.id}`)
		},

		onDelete(row) {
			this.$confirm(`¿Eliminar el Cliente ${row.nombre}?`, 'Atención', {
				confirmButtonText: 'OK',
				cancelButtonText: 'Cancelar',
				type: 'warning'
			}).then(async () => {
				this.selectedRow = null
				clientes.delete(row)
			}).catch(() => {
				this.$message({
					type: 'info',
					message: 'Eliminación Cancelada',
					duration: 1500,
				});
			});
		},


	},
	data() {
		return {
			RESOURCE_LIST: []
		}
	}
	
}
</script>
